Park POS Sale

Saves the active POS sale as a Saved Sale Entry for later resumption. The active POS Sale is removed; its state is serialized into the Saved Sale Entry. Returns the new Saved Sale Entry’s systemId (used as the input to the resume endpoint), ticket number, POS unit, and park timestamp. Returns 404 if the active sale does not exist, 400 if the sale’s POS Unit is not open for sales.

Authentication

x-np-api-keystring
API Key authentication via header

Path parameters

tenantstringRequired

Your Entra Tenant ID. More details.

environmentstringRequired

Your Business Central Environment. More details.

companystringRequired

Your Business Central Company. More details.

saleIdUUIDRequired
The id of a POS sale. This can be provided by the API consumer when creating a new sale.

Headers

x-api-versiondateOptional

Used for API versioning. More details.

Response

This endpoint returns an object.
saleIdUUID

The systemId of the Saved Sale Entry. Pass this to POST /pos/sale/{saleId}/resume to restore the sale.

receiptNostring
The sales ticket number carried over from the active POS Sale.
posUnitstring
The POS Unit on which the sale was parked.
parkedAtdatetime

Timestamp when the sale was parked (UTC, sortable format).